<?php
require 'sniffer_wb.php';
require 'sniffer_os.php';
require 'sniffer_isp.php';
require 'sniffer_ln.php';
require 'sniffer_se.php';

//
//Usage:
//Browser: sniff('browser', $_SERVER['HTTP_USER_AGENT'], 1);
//OS: sniff('os', $_SERVER['HTTP_USER_AGENT'], 1);
//ISP: sniff('isp', gethostbyaddr($_SERVER['REMOTE_ADDR']), 0);
//Language: sniff('lang', strtolower($_SERVER['HTTP_ACCEPT_LANGUAGE']), 0);
//Search robot: sniff('search', $_SERVER['HTTP_USER_AGENT'], 0);
//
function sniff($what, $data, $get_version)
{
	global $sniffer_os, $sniffer_wb, $sniffer_isp, $sniffer_ln, $sniffer_se;
	$result = 'N/A';
	switch (strtolower($what))
	{
		case 'os':
			$db = $sniffer_os;
			break;
		case 'browser':
			$db = $sniffer_wb;
			break;
		case 'isp':
			$db = $sniffer_isp;
			break;
		case 'lang':
			$db = $sniffer_ln;
			break;
		case 'search':
			$db = $sniffer_se;
			break;
	}
	foreach ($db as $search => $info)
	{
		if(preg_match('/'.$search.'/', $data))
		{
			$result = $info['name'];
			if($info['version'] != '' && isset($get_version))
			{
				if(preg_match('/'.$info['version'].'/', $data, $matches))
					$result = $result.' '.$matches[1];
			}
			break;
		}
	}
	return $result;
}
?>
